# $Revision: 1.24 $, $Date: 2007-02-12 21:23:48 $
%include	/usr/lib/rpm/macros.perl
Summary:	A sophisticated backup script, based on GNU tar
Summary(pl.UTF-8):	Wyszukany skrypt to tworzenia kopii zapasowych
Name:		bbackup
Version:	0.52
Release:	3
License:	GPL
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/bbackup/%{name}-%{version}.tar.gz
# Source0-md5:	3fcff65424da518ca351971c00b51912
URL:		http://bbackup.sourceforge.net/
BuildRequires:	perl-AppConfig
BuildRequires:	perl-devel >= 1:5.6.0
BuildRequires:	perl-perldoc
BuildRequires:	rpm-perlprov
Requires:	tar >= 1.12
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bbackup is a sophisticated frontend for GNU-tar. It allows you to
perform full backups as well as incremental backups. It can handle a
number of filesystems to be backed up (which could even be mounted at
runtime). It is possible to write backups either to streaming media or
to plain files (preferably on a separate harddisk).

%description -l pl.UTF-8
bbackup jest wyrafinowaną nakładką na GNU tar. Pozwala on na tworzenie
zarówno pełnych jak i inkrementalnych kopii zapasowych. Potrafi
obsługiwać wiele systemów plików przeznaczonych do archiwizacji.
Możliwe jest zapisywanie kopii zarówno na mediach strumieniowych jak i
w zwykłych plikach.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/bbackup,%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_var}/bbackup

%{__make} install \
	BINDEST=$RPM_BUILD_ROOT%{_bindir} \
	ETCDEST=$RPM_BUILD_ROOT%{_sysconfdir} \
	MANDEST=$RPM_BUILD_ROOT%{_datadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README THANKS TODO
%attr(750,root,root) %dir %{_var}/bbackup
%attr(750,root,root) %dir %{_sysconfdir}/bbackup
%config(noreplace) %verify(not md5 mtime size) %attr(640,root,root) %{_sysconfdir}/bbackup/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bbackup.spec,v $
Revision 1.24  2007-02-12 21:23:48  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.22  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.21  2005/12/04 22:58:06  glen
- adapterized (sorted %verify flags)

Revision 1.20  2005/06/05 01:01:18  zbyniu
- BR: perl-perldoc, rpm-perlprov

Revision 1.19  2004/05/09 05:31:53  ankry
- BR fixes, rel. 3

Revision 1.18  2004/04/26 13:49:46  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.17  2003/08/06 16:33:09  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.16  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:45:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/25 11:18:20  qboosh
- working Source URL

Revision 1.13  2003/02/06 21:26:15  migo
- random fixes in descriptions

Revision 1.12  2002/10/10 11:55:28  marcus
- use new %%doc

Revision 1.11  2002/04/25 15:51:42  arturs
fixed a small typo

Revision 1.10  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/10 13:16:25  kloczek
- finished.

Revision 1.6  2001/11/09 16:45:27  misiek
BR: perl-devel not perl-modules

Revision 1.5  2001/08/18 14:57:22  filon
- small description translation change

Revision 1.4  2001/08/03 04:35:53  migo
- typo in description

Revision 1.3  2001/05/09 13:48:11  misiek
cosmetics1

Revision 1.2  2001/05/09 13:47:36  misiek
add /var/bbackup

Revision 1.1  2001/05/09 13:11:53  misiek
- initial pld relase
- adapter.awk will break this spec!
